> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List connected integrations

> Returns all OAuth integration connections for the authenticated user.

Each entry includes the `provider`, connection `status`, optional `accountLabel`, granted `scopes`, and `createdAt` timestamp.



## OpenAPI

````yaml get /integrations
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /integrations:
    get:
      tags:
        - Integrations
      summary: List connected integrations
      description: >-
        Returns all OAuth integration connections for the authenticated user.


        Each entry includes the `provider`, connection `status`, optional
        `accountLabel`, granted `scopes`, and `createdAt` timestamp.
      operationId: listIntegrations
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        provider:
                          type: string
                          enum:
                            - gmail
                            - outlook
                            - google_drive
                            - onedrive
                            - dropbox
                            - notion
                        status:
                          type: string
                          enum:
                            - active
                            - needs_reauth
                            - revoked
                        accountLabel:
                          type: string
                        scopes:
                          type: array
                          items:
                            type: string
                        createdAt:
                          type: string
                      required:
                        - provider
                        - status
                        - scopes
                        - createdAt
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````